## org.codehaus.groovy.binding
Class EventTriggerBinding

author:
  Danno Ferrin

version:
  $Revision: 7892 $

since:
  Groovy 1.1

Field Summary
`String` | `eventName`
`Object` | `triggerBean`

Constructor Summary
`EventTriggerBinding(Object triggerBean, String eventName)`

Method Summary
`FullBinding` | `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
`String` | `getEventName()`
`Object` | `getTriggerBean()`
`void` | `setEventName(String eventName)`
`void` | `setTriggerBean(Object triggerBean)`

Constructor Detail

### EventTriggerBinding

    public EventTriggerBinding(Object triggerBean, String eventName)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)

### getEventName

    public String getEventName()

### getTriggerBean

    public Object getTriggerBean()

### setEventName

    public void setEventName(String eventName)

### setTriggerBean

    public void setTriggerBean(Object triggerBean)